ConstrainedDelegate (Grails 6.0.0)

Package: grails.validation

## [Groovy] Class ConstrainedDelegate

- grails.validation.ConstrainedDelegate

- All Implemented Interfaces and Traits:
    Constrained, grails.gorm.validation.ConstrainedProperty

      @groovy.transform.CompileStatic
      @groovy.util.logging.Slf4j
      class ConstrainedDelegate
      extends java.lang.Object
      implements Constrained, grails.gorm.validation.ConstrainedProperty

  Bridge from the old API to the new

  Authors:
    Graeme Rocher
  Since:
    6.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private grails.gorm.validation.ConstrainedProperty` | `property` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `grails.gorm.validation.ConstrainedProperty` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstrainedDelegate (grails.gorm.validation.ConstrainedProperty property)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyConstraint(java.lang.String constraintName, java.lang.Object constrainingValue)`
    `` | `grails.gorm.validation.Constraint` | `getAppliedConstraint(java.lang.String name)`
    `` | `java.util.Collection<grails.gorm.validation.Constraint>` | `getAppliedConstraints()` Returns: Returns the appliedConstraints.
    `` | `java.lang.String` | `getFormat()`
    `` | `java.util.List` | `getInList()`
    `` | `java.lang.String` | `getMatches()`
    `` | `java.lang.Comparable` | `getMax()`
    `` | `java.lang.Integer` | `getMaxSize()`
    `` | `java.lang.Comparable` | `getMin()`
    `` | `java.lang.Integer` | `getMinSize()`
    `` | `java.lang.Object` | `getNotEqual()`
    `` | `int` | `getOrder()`
    `` | `java.lang.Class` | `getOwner()`
    `` | `java.lang.String` | `getPropertyName()`
    `` | `java.lang.Class<?>` | `getPropertyType()`
    `` | `groovy.lang.Range` | `getRange()`
    `` | `java.lang.Integer` | `getScale()`
    `` | `groovy.lang.Range` | `getSize()`
    `` | `java.lang.String` | `getWidget()`
    `` | `boolean` | `hasAppliedConstraint(java.lang.String constraintName)`
    `` | `boolean` | `isBlank()`
    `` | `boolean` | `isCreditCard()`
    `` | `boolean` | `isDisplay()`
    `` | `boolean` | `isEditable()`
    `` | `boolean` | `isEmail()`
    `` | `boolean` | `isNullable()`
    `` | `boolean` | `isPassword()`
    `` | `boolean` | `isUrl()`
    `` | `boolean` | `supportsContraint(java.lang.String constraintName)`
    `` | `void` | `validate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final grails.gorm.validation.ConstrainedProperty property

  - ### Property Detail

    - #### final grails.gorm.validation.ConstrainedProperty property

  - ### Constructor Detail

    - #### ConstrainedDelegate(grails.gorm.validation.ConstrainedProperty property)

  - ### Method Detail

    - #### @java.lang.Override void applyConstraint(java.lang.String constraintName, java.lang.Object constrainingValue)

    - #### @java.lang.Override grails.gorm.validation.Constraint getAppliedConstraint(java.lang.String name)

    - #### java.util.Collection<grails.gorm.validation.Constraint> getAppliedConstraints()

      Returns:
        Returns the appliedConstraints.

    - #### @java.lang.Override java.lang.String getFormat()

    - #### @java.lang.Override java.util.List getInList()

    - #### @java.lang.Override java.lang.String getMatches()

    - #### @java.lang.Override java.lang.Comparable getMax()

    - #### @java.lang.Override java.lang.Integer getMaxSize()

    - #### @java.lang.Override java.lang.Comparable getMin()

    - #### @java.lang.Override java.lang.Integer getMinSize()

    - #### @java.lang.Override java.lang.Object getNotEqual()

    - #### @java.lang.Override int getOrder()

    - #### @java.lang.Override java.lang.Class getOwner()

    - #### @java.lang.Override java.lang.String getPropertyName()

    - #### @java.lang.Override java.lang.Class<?> getPropertyType()

    - #### @java.lang.Override groovy.lang.Range getRange()

    - #### @java.lang.Override java.lang.Integer getScale()

    - #### @java.lang.Override groovy.lang.Range getSize()

    - #### @java.lang.Override java.lang.String getWidget()

    - #### @java.lang.Override boolean hasAppliedConstraint(java.lang.String constraintName)

    - #### @java.lang.Override boolean isBlank()

    - #### @java.lang.Override boolean isCreditCard()

    - #### @java.lang.Override boolean isDisplay()

    - #### @java.lang.Override boolean isEditable()

    - #### @java.lang.Override boolean isEmail()

    - #### @java.lang.Override boolean isNullable()

    - #### @java.lang.Override boolean isPassword()

    - #### @java.lang.Override boolean isUrl()

    - #### @java.lang.Override boolean supportsContraint(java.lang.String constraintName)

    - #### @java.lang.Override void validate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)